export class SocketError extends Error {
  name = "SocketError";
  public originalError?: Error | ErrorEvent;

  constructor(message: string, originalError?: Error | ErrorEvent) {
    super(message);
    this.originalError = originalError;
  }
}

export class UnpackError extends SocketError {}
